#!/usr/bin/env python
###############################################################################
# $Id: leveller.py,v 1.1 2005/10/20 17:20:55 fwarmerdam Exp $
#
# Project:  GDAL/OGR Test Suite
# Purpose:  Test Leveller driver support.
# Author:   Frank Warmerdam <warmerdam@pobox.com>
# 
###############################################################################
# Copyright (c) 2005, Frank Warmerdam <warmerdam@pobox.com>
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
# 
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
###############################################################################
# 
#  $Log: leveller.py,v $
#  Revision 1.1  2005/10/20 17:20:55  fwarmerdam
#  New
#
#

import os
import sys
import gdal

sys.path.append( '../pymod' )

import gdaltest

###############################################################################
# Perform simple read test.

def leveller_1():

    tst = gdaltest.GDALTest( 'Leveller', 'ter6test.ter', 1, 9093 )
    return tst.testOpen()

    
gdaltest_list = [
    leveller_1 ]


if __name__ == '__main__':

    gdaltest.setup_run( 'leveller' )

    gdaltest.run_tests( gdaltest_list )

    gdaltest.summarize()

